apiVersion: apps/v1
kind: Deployment
metadata:
  name: hive-metastore
  labels:
    app: hive-metastore
spec:
  replicas: 1
  selector:
    matchLabels:
      app: hive-metastore
  template:
    metadata:
      labels:
        app: hive-metastore
    spec:

      imagePullSecrets:
        - name: {{ $.Values.container.pullSecret }}
      volumes:
        - name: hive-secret
          secret:
            secretName: hive-secret
      containers:
      - name: hive-metastore
        image: {{ $.Values.container.image }}:{{ $.Values.container.tag }}
        
        ports:
        - containerPort: 9083
        env:
          - name: METASTORE_DB_HOSTNAME
            value: {{ $.Values.global.postgres.endpoint }}
          
          - name: METASTORE_TYPE
            value: postgres

        volumeMounts:
          - name: hive-secret
            readOnly: true
            mountPath: "/opt/apache-hive-metastore-3.0.0-bin/conf/"
